
#include <AT89x51.H>
#include "Display.h"
#include "Timer0.h"

#define FALSE	0
#define TRUE	1

void InitSystem()
{
	// Initially display 0
	// on 7 segments.
	Display(0);

	// Initialize timer0 for
	// seconds (delay) counting.
	InitTimer0();
}

void main()
{
	unsigned short PrevSecs = 0;
	unsigned short CurSecs;
	
	// Initialize system.
	InitSystem();
	
	while(1)
	{
		// Get current second value.
		CurSecs = GetSeconds();

		// If current second value
		// has changed then update
		// it in record & on display.
		if(CurSecs != PrevSecs)
		{
			PrevSecs = CurSecs;
			Display(CurSecs);
		}
	}
}

